# Method: firstAndThirdPartyAudiences.editCustomerMatchMembers

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.EditCustomerMatchMembersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences/editCustomerMatchMembers#try-it)

Updates the member list of a Customer Match audience.

Only supported for the following `https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience.FIELDS.audience_type`:

- `CUSTOMER_MATCH_CONTACT_INFO`
- `CUSTOMER_MATCH_DEVICE_ID`

### HTTP request

`POST https://displayvideo.googleapis.com/v2/firstAndThirdPartyAudiences/{firstAndThirdPartyAudienceId}:editCustomerMatchMembers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `firstAndThirdPartyAudienceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the Customer Match FirstAndThirdPartyAudience whose members will be edited. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "advertiserId": string, // Union field `added_members` can be only one of the following: "addedContactInfoList": { object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#ContactInfoList`) }, "addedMobileDeviceIdList": { object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#MobileDeviceIdList`) } // End of list of possible types for union field `added_members`. // Union field `removed_members` can be only one of the following: "removedContactInfoList": { object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#ContactInfoList`) }, "removedMobileDeviceIdList": { object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#MobileDeviceIdList`) } // End of list of possible types for union field `removed_members`. } ``` |

| Fields ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the owner advertiser of the updated Customer Match FirstAndThirdPartyAudience. |
| Union field `added_members`. The members to be added to the Customer Match audience. `added_members` can be only one of the following: ||
| `addedContactInfoList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#ContactInfoList`)`` Input only. A list of contact information to define the members to be added. |
| `addedMobileDeviceIdList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#MobileDeviceIdList`)`` Input only. A list of mobile device IDs to define the members to be added. |
| Union field `removed_members`. The members to be removed from the Customer Match audience. `removed_members` can be only one of the following: ||
| `removedContactInfoList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#ContactInfoList`)`` Input only. A list of contact information to define the members to be removed. |
| `removedMobileDeviceIdList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#MobileDeviceIdList`)`` Input only. A list of mobile device IDs to define the members to be removed. |

### Response body

The response of FirstAndThirdPartyAudienceService.EditCustomerMatchMembers.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "firstAndThirdPartyAudienceId": string } ``` |

| Fields ||
|---|---|
| `firstAndThirdPartyAudienceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the updated Customer Match FirstAndThirdPartyAudience. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).